dpkey Struct Reference

Store for DPja and DQia keyvalues. More...

`#include <dis.h>`

## Data Fields

char | field [72]
int | j
int | type
union {
int i
double f
} | value

## Detailed Description

The dpkey struct is used to pass the parsed contents of DPja or DQia keyrecords to disset() via the disprm struct. A disprm struct must hold only DPja or DQia keyvalues, not both.

All members of this struct are to be set by the user.

## Field Documentation

char dpkey::field

(Given) The full field name of the record, including the keyword name. Note that the colon delimiter separating the field name and the value in record-valued keyvalues is not part of the field name. For example, in the following:

DP3A = 'AXIS.1: 2'

the full record field name is "DP3A.AXIS.1", and the record's value is 2.

int dpkey::j

(Given) Axis number (1-relative), i.e. the j in DPja or i in DQia.

int dpkey::type

(Given) The data type of the record's value

- 0: Integer (stored as an int),
- 1: Floating point (stored as a double).

int dpkey::i

double dpkey::f

union dpkey::value

(Given) A union comprised of

- dpkey::ival,
- dpkey::fval,

the record's value.